> ## Documentation Index
> Fetch the complete documentation index at: https://docs.monk.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Portal Tasks

> Paginated list of portal tasks with owner, blocker, linked invoice and portal context. `/v1/portals` is a deprecated alias that returns the same payload.

**Scope:** `portal:read`


## OpenAPI

````yaml /openapi/portals.yaml get /v1/portal-tasks
openapi: 3.1.0
info:
  title: Portal Tasks API
  version: '1.0'
servers:
  - url: https://api.monk.com
    description: Production
  - url: https://api-sandbox.monk.com
    description: Sandbox
security:
  - bearerAuth: []
paths:
  /v1/portal-tasks:
    get:
      summary: List Portal Tasks
      description: >-
        Paginated list of portal tasks with owner, blocker, linked invoice and
        portal context. `/v1/portals` is a deprecated alias that returns the
        same payload.
      operationId: listPortalTasks
      parameters:
        - name: status
          in: query
          description: Filter by canonical status
          schema:
            type: string
            enum:
              - not_started
              - blocked
              - in_progress
              - submitted
              - approved
              - rejected
              - cancelled
        - name: invoiceId
          in: query
          description: Filter to tasks covering the invoice
          schema:
            type: string
            format: uuid
        - name: customerId
          in: query
          description: Filter to tasks covering the customer
          schema:
            type: string
            format: uuid
        - name: updatedSince
          in: query
          description: Filter to tasks updated at or after this ISO 8601 datetime
          schema:
            type: string
            format: date-time
        - name: limit
          in: query
          schema:
            type: integer
            default: 10
            maximum: 100
            minimum: 0
        - name: offset
          in: query
          schema:
            type: integer
            default: 0
            minimum: 0
      responses:
        '200':
          description: Paginated portal task list
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      $ref: '#/components/schemas/PortalTask'
                  hasMore:
                    type: boolean
                  total:
                    type: integer
        '401':
          description: Missing or invalid API key
        '403':
          description: API key lacks the portal:read scope
        '422':
          description: Invalid query parameters
components:
  schemas:
    PortalTask:
      type: object
      properties:
        id:
          type: string
        status:
          type: string
          enum:
            - not_started
            - blocked
            - in_progress
            - submitted
            - approved
            - rejected
            - cancelled
        ask:
          type: string
        priority:
          type: string
        blocker:
          type:
            - string
            - 'null'
        blockReason:
          type:
            - string
            - 'null'
        blockedBy:
          type:
            - string
            - 'null'
          description: Who the task is waiting on
        rejectionReason:
          type:
            - string
            - 'null'
        rejectionNote:
          type:
            - string
            - 'null'
        sourceType:
          type: string
        owner:
          type:
            - object
            - 'null'
          properties:
            id:
              type: string
            name:
              type:
                - string
                - 'null'
        labels:
          type: array
          items:
            type: string
        customerIds:
          type: array
          items:
            type: string
        invoiceIds:
          type: array
          items:
            type: string
        customerName:
          type:
            - string
            - 'null'
        invoiceNumbers:
          type: array
          items:
            type: string
        invoices:
          type: array
          items:
            type: object
            properties:
              id:
                type: string
              invoiceNumber:
                type: string
              status:
                type: string
              dueDate:
                type:
                  - string
                  - 'null'
                format: date
        portals:
          type: array
          description: Portal configured for each linked customer
          items:
            type: object
            properties:
              customerId:
                type: string
              provider:
                type: string
              customProviderName:
                type:
                  - string
                  - 'null'
              portalUrl:
                type:
                  - string
                  - 'null'
        commentCount:
          type: integer
        messageCount:
          type: integer
        statusChangedAt:
          type:
            - string
            - 'null'
          format: date-time
          description: When the task entered its current status
        lastStatusCheckAt:
          type:
            - string
            - 'null'
          format: date-time
        createdAt:
          type: string
          format: date-time
        updatedAt:
          type: string
          format: date-time
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.